Holger's Java API

## com.antelmann.util.revision
Class RevisionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.antelmann.util.revision.RevisionException

All Implemented Interfaces:
  Serializable

    public class RevisionException

extends Exception

thrown to indicate that a Revision was rejected

Since:
  30. November 2006, 23:02
Author:
  Holger Antelmann
See Also:
  `Revisable`, `Revision`, Serialized Form

Constructor Summary
`RevisionException(Revision revision, Throwable cause, String message)`

Method Summary
`Revision` `getRevision()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RevisionException

    public RevisionException(Revision revision,
                             Throwable cause,
                             String message)

Method Detail

### getRevision

    public Revision getRevision()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads